Subject: bug#9958: 24.0.91; Gnus agent needs a command to remove downloaded articles

From: Sven Joachim <[email-masked]>
Date: Sat, 05 Nov 2011 08:54:46 +0100

Package: Emacs,Gnus

My ~/News directory ballooned to several hundred megabytes since I
switched from Emacs 23.3/No Gnus 0.17 to Emacs 24/Gnus 5.13 six weeks
ago.  I found out this is because the agent stores copies of the full
articles, rather than just the headers, under ~/News/agent, as requested
in bug #8502.  Note that I don't use IMAP, just NNTP (Gmane).

While this probably makes sense, there should be an easy way to clear
the cache and free up disk space.  I ended up running

find ~/News/agent -name "[0-9]*" -delete

which is not what people should have to do, IMHO.